<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">

    <div class="modal-header">
        <h6 class="modal-title" id="myRequirementPaymentLabel" jhiTranslate="mpmApp.requirementPayment.home.createOrEditLabel">Create or edit a Requirement Payment</h6>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true" (click)="clear()">&times;</button>
    </div>
    <div class="card-deck" style="margin: 10px;">
        <div class="card">
			<div class="card-body">
                <jhi-alert-error></jhi-alert-error>
                <div class="form-group" [hidden]="!requirementPayment.idReqPayment">
                    <label for="id" jhiTranslate="global.field.id">ID</label>
                    <input type="text" class="form-control" id="id" name="id" [(ngModel)]="requirementPayment.idReqPayment" readonly />
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="mpmApp.requirementPayment.amount" for="field_amount">Amount</label>
                    <input currencyMask class="form-control" name="amount" id="field_amount"
                        [(ngModel)]="requirementPayment.amount"
                        [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"/>
                </div>

                <div class="form-group" *ngIf="idRequirement === undefined">
                    <label class="form-control-label" jhiTranslate="mpmApp.requirementPayment.requirement" for="field_requirement">Requirement</label>
                    <select class="form-control" id="field_requirement" name="requirement" [(ngModel)]="requirementPayment.requirementId" >
                        <option [ngValue]="null"></option>
                        <option [ngValue]="requirementOption.idRequirement" *ngFor="let requirementOption of requirements; trackBy: trackRequirementById">{{requirementOption.id}}</option>
                    </select>
                </div>
                <div class="form-group" *ngIf="idPayment === undefined">
                    <label class="form-control-label" jhiTranslate="mpmApp.requirementPayment.payment" for="field_payment">Payment</label>
                    <select class="form-control" id="field_payment" name="payment" [(ngModel)]="requirementPayment.paymentId" >
                        <option [ngValue]="null"></option>
                        <option [ngValue]="paymentOption.idPayment" *ngFor="let paymentOption of payments; trackBy: trackPaymentById">{{paymentOption.id}}</option>
                    </select>
                </div>
            </div>
        </div>
    </div>
    <div class="modal-footer">
        <button pButton type="button" data-dismiss="modal" (click)="clear()"
            label="{{'entity.action.cancel' | translate}}"
            icon="fa-ban"
            class="ui-button-danger flat-label-button">
        </button>
        <button pButton type="submit" [disabled]="editForm.form.invalid || isSaving"
            label="{{'entity.action.save' | translate}}"
            icon="fa-save"
            class="ui-button-primary flat-label-button">
        </button>
    </div>
</form>
